#include <tonc.h>
#include "gbfs.h"

int main (void)
{
	const GBFS_FILE *gbfs_start = find_first_gbfs_file(find_first_gbfs_file);

	LZ77UnCompVram((u32*) gbfs_get_obj(gbfs_start, "hub.pal.bin", NULL), &pal_bg_mem[0]);
	LZ77UnCompVram((u32*) gbfs_get_obj(gbfs_start, "hub.img.bin", NULL), &tile_mem[0][0]);
	LZ77UnCompVram((u32*) gbfs_get_obj(gbfs_start, "hub.map.bin", NULL), &se_mem[30][0]);

	vid_vsync();

	REG_BG0CNT= BG_CBB(0) | BG_SBB(30) | BG_4BPP | BG_REG_64x32;
	REG_DISPCNT = DCNT_BG0;

	int x = 0, y = 0;
	while (1) {
		vid_vsync();
		key_poll();

		x += key_tri_horz();
		y += key_tri_vert();
		x = clamp(x, 0, 512-SCREEN_WIDTH);
		y = clamp(y, 0, 256-SCREEN_HEIGHT);

		REG_BG0HOFS = x;
		REG_BG0VOFS = y;
	}
}

